Skip to main content
POST
Create a new contact record with phone number, name, optional categorization tags, notes, and custom metadata fields.

Authentication

This endpoint requires Bearer token authentication.

Input parameters

The following parameters are accepted in the JSON request body.
string
required
Bearer token for authentication. Format: Bearer <token>.
string
required
Destination phone number (maximum 50 characters). E.164 format is recommended (e.g. +14155550199).
string
required
Full name or display name of the contact (maximum 255 characters). Example: Jane Doe.
string[]
Array of classification tags for segmenting campaigns (e.g. ["lead", "vip", "retail"]). Defaults to [].
string
Internal context, notes, or customer history notes.
object
Key-value dictionary containing arbitrary custom metadata (e.g. {"account_id": "acc_123", "plan": "enterprise"}).

Response Fields

string
Generated UUID identifier of the contact.
string
UUID of the owning organization.
string
Contact’s telephone number.
string
Contact’s full name.
string[]
Assigned segmentation tags.
string
Internal notes text or null.
object
Stored custom metadata object or null.
string
ISO 8601 creation timestamp.
string
ISO 8601 last modification timestamp.


Previous
List contacts
GET /api/v1/contacts
Next